package com.foreverwin.mesnac.production.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.meapi.dto.SfcDto;
import com.foreverwin.mesnac.production.model.SplitSfc;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 产品条码拆分表 服务类
 * </p>
 *
 * @author Philip
 * @since 2021-07-20
 */
public interface SplitSfcService extends IService<SplitSfc> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<SplitSfc> selectPage(FrontPage<SplitSfc> frontPage, SplitSfc splitSfc);

    List<SplitSfc> selectList(SplitSfc splitSfc);

    SfcDto getSfcData(SfcDto dto);

    SfcDto getGoodSfcData(String sfc);

    SplitSfc goodSfcSplit(SfcDto sfcDto);

    SplitSfc splitSfc(SfcDto sfcDto);
}